# Uses of Class
nu.xom.DocType

Packages that use DocType
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.converters
`nu.xom.converters` contains classes that convert XOM documents to other models such as SAX and DOM.
nu.xom.tests
`nu.xom.tests` contains the JUnit based test suite for XOM.

## Uses of DocType in nu.xom

Methods in nu.xom that return DocType
Modifier and Type
Method
Description
`final DocType`
Document.`getDocType()`
Returns this document's document type declaration, or null if it doesn't have one.
Methods in nu.xom with parameters of type DocType
Modifier and Type
Method
Description
`void`
Document.`setDocType(DocType doctype)`
Sets this document's document type declaration.
`protected void`
Serializer.`write(DocType doctype)`
Writes a `DocType` object onto the output stream using the current options.
Constructors in nu.xom with parameters of type DocType
Modifier
Constructor
Description
``
`DocType(DocType doctype)`
Creates a new `DocType` that's a copy of its argument.

## Uses of DocType in nu.xom.converters

Methods in nu.xom.converters that return DocType
Modifier and Type
Method
Description
`static DocType`
DOMConverter.`convert(DocumentType doctype)`
Translates a DOM `org.w3c.dom.DocumentType` object into an equivalent `nu.xom.DocType` object.

## Uses of DocType in nu.xom.tests

Methods in nu.xom.tests with parameters of type DocType
Modifier and Type
Method
Description
`static void`
XOMTestCase.`assertEquals(String message, DocType expected, DocType actual)`
Asserts that two `DocType` nodes are equal.
`static void`
XOMTestCase.`assertEquals(DocType expected, DocType actual)`
Asserts that two `DocType` nodes are equal.